import { SyncSource, ReadOnlyTransaction } from "@canvas-js/okra";
/**
 * This differs from the sync function exported from @canvas-js/okra in three ways
 * 1) It only yields keys, not entries
 * 2) It assumes that entries are immutable (and throws an error on conflicts)
 * 3) It only yields keys for entries present in `source` and missing in `target`
 */
export declare class Driver {
    private readonly source;
    private readonly txn;
    private readonly log;
    constructor(topic: string, source: SyncSource, txn: ReadOnlyTransaction);
    sync(): AsyncGenerator<Uint8Array[]>;
    private syncRoot;
    private syncNode;
}
